KDE 4.9 PyKDE API Reference

- KDE's Python API

# KBookmarkOwner Class Reference

`from PyKDE4.kio import *`

Subclasses: KonqBookmarkOwner

## Detailed Description

The KBookmarkMenu and KBookmarkBar classes gives the user the ability to either edit bookmarks or add their own. In the first case, the app may want to open the bookmark in a special way. In the second case, the app <em>must</em> supply the name and the URL for the bookmark.

This class gives the app this callback-like ability.

If your app does not give the user the ability to add bookmarks and you don't mind using the default bookmark editor to edit your bookmarks, then you don't need to overload this class at all. Rather, just use something like:

<CODE> bookmarks = new KBookmarkMenu( mgr, 0, menu, actioncollec ) </CODE>

If you wish to use your own editor or allow the user to add bookmarks, you must overload this class.

## Enumerations

BookmarkOption | { ShowAddBookmark, ShowEditBookmark }

## Methods

KBookmarkDialog | bookmarkDialog (self, KBookmarkManager mgr, QWidget parent)
[(QString,QString)] | currentBookmarkList (self)
QString | currentTitle (self)
QString | currentUrl (self)
bool | enableOption (self, KBookmarkOwner.BookmarkOption option)
| openBookmark (self, KBookmark bm, Qt::MouseButtons mb, Qt::KeyboardModifiers km)
| openFolderinTabs (self, KBookmarkGroup bm)
bool | supportsTabs (self)

## Method Documentation

KBookmarkDialog bookmarkDialog | ( | self, |
|  | KBookmarkManager | mgr,
|  | QWidget | parent
| ) |  |  |

[(QString,QString)] currentBookmarkList | ( |  | self ) |

Returns a list of title, URL pairs of the open tabs. The default returns an empty list.

QString currentTitle | ( |  | self ) |

This function is called whenever the user wants to add the current page to the bookmarks list. The title will become the "name" of the bookmark. You must overload this function if you wish to give your users the ability to add bookmarks. The default returns an empty string.

Returns:
  the title of the current page.

QString currentUrl | ( |  | self ) |

This function is called whenever the user wants to add the current page to the bookmarks list. The URL will become the URL of the bookmark. You must overload this function if you wish to give your users the ability to add bookmarks. The default returns an empty string.

Returns:
  the URL of the current page.

bool enableOption | ( | self, |
|  | KBookmarkOwner.BookmarkOption | option
| ) |  |  |

Returns true if action should be shown in the menu The default is to show both a add and editBookmark Entry //TODO ContextMenuAction? to disable the contextMenu? Delete and Propeties to disable those in the context menu?

openBookmark | ( | self, |
|  | KBookmark | bm,
|  | Qt::MouseButtons | mb,
|  | Qt::KeyboardModifiers | km
| ) |  |  |

Abstract method:
  This method is abstract and can be overridden but not called directly.

Called if a bookmark is selected. You need to override this.

openFolderinTabs | ( | self, |
|  | KBookmarkGroup | bm
| ) |  |  |

Called if the user wants to open every bookmark in this folder in a new tab. The default implementation does nothing. This is only called if supportsTabs() returns true

bool supportsTabs | ( |  | self ) |

This function returns whether the owner supports tabs. The default returns false.

## Enumeration Documentation

BookmarkOption

Enumerator:

  ShowAddBookmark |
  ShowEditBookmark |